UT_hash_handle Struct Reference

`#include <uthash.h>`

Collaboration diagram for UT_hash_handle:
[legend]

## Data Fields

struct UT_hash_table * | tbl
void * | prev
void * | next
struct UT_hash_handle * | hh_prev
struct UT_hash_handle * | hh_next
const void * | key
unsigned | keylen
unsigned | hashv

## Detailed Description

Definition at line 1097 of file uthash.h.

## Field Documentation

## hashv

unsigned UT_hash_handle::hashv

Definition at line 1105 of file uthash.h.

## hh_next

struct UT_hash_handle* UT_hash_handle::hh_next

Definition at line 1102 of file uthash.h.

## hh_prev

struct UT_hash_handle* UT_hash_handle::hh_prev

Definition at line 1101 of file uthash.h.

## key

const void* UT_hash_handle::key

Definition at line 1103 of file uthash.h.

## keylen

unsigned UT_hash_handle::keylen

Definition at line 1104 of file uthash.h.

## next

void* UT_hash_handle::next

Definition at line 1100 of file uthash.h.

## prev

void* UT_hash_handle::prev

Definition at line 1099 of file uthash.h.

## tbl

struct UT_hash_table* UT_hash_handle::tbl

Definition at line 1098 of file uthash.h.

The documentation for this struct was generated from the following file:

- uthash.h